Bug 57953 - Enhancement: Warn users when resource names start with uppercase letters
Summary: Enhancement: Warn users when resource names start with uppercase letters
Status: RESOLVED ANSWERED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Android (show other bugs)
Version: 4.5.0 (15.2)
Hardware: PC Windows
: Normal enhancement
Target Milestone: 15.6
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-07-05 17:58 UTC by John Miller [MSFT]
Modified: 2017-10-06 01:20 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Screenshot of Android Studio error (25.35 KB, image/png)
2017-07-05 17:58 UTC, John Miller [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED ANSWERED

Description John Miller [MSFT] 2017-07-05 17:58:00 UTC
Created attachment 23307 [details]
Screenshot of Android Studio error

## Overview

Using uppercase letters for android layout files can cause issues. See: https://bugzilla.xamarin.com/show_bug.cgi?id=47441

When working in Android Studio, there is an error if you try to title a layout file with an uppercase letter. See attached photo. 

## Suggestion

Add a similar feature of letting the user know that this is invalid to help reduce the chance of creating issues like in Bug #47411.
Comment 1 Pierce Boggan [MSFT] 2017-08-21 20:36:32 UTC
Also hyphens: https://twitter.com/bcook/status/896788809521614848
Comment 2 Pierce Boggan [MSFT] 2017-09-13 20:58:22 UTC
Tentatively moving this feature work to 15.6. We will create an associated work item for tracking in VSTS when we begin work on that milestone.
Comment 3 Pierce Boggan [MSFT] 2017-10-06 01:20:49 UTC
Thanks for taking the time to report this issue. :)

Given this is a feature request or enhancement, I am closing this issue and adding a work item to our backlog.